Package de.willuhn.jameica.hbci.passports.rdh

# Class InsertKeyDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.gui.dialogs.WaitDialog
de.willuhn.jameica.hbci.passports.rdh.InsertKeyDialog

public class InsertKeyDialog extends de.willuhn.jameica.gui.dialogs.WaitDialog
Dialog, der den User zur Eingabe der Schluesseldatei auffordert.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`InsertKeyDialog(File f)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`check()`
`protected Object`
`getData()`
`String`
`getText()`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.WaitDialog

`paint`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InsertKeyDialog

public InsertKeyDialog(File f)

Parameters:
  `f` - die Schluesseldatei.

## Method Details

### check

protected boolean check()

Specified by:
  `check` in class `de.willuhn.jameica.gui.dialogs.WaitDialog`
See Also:
  - `WaitDialog.check()`

### getData

protected Object getData() throws Exception

Overrides:
  `getData` in class `de.willuhn.jameica.gui.dialogs.WaitDialog`
Throws:
  `Exception`
See Also:
  - `WaitDialog.getData()`

### getText

public String getText()

Overrides:
  `getText` in class `de.willuhn.jameica.gui.dialogs.WaitDialog`
See Also:
  - `WaitDialog.getText()`